# Job

This chart deploys and schedules a job that runs a specific docker image and terminates.

### Containers

#### Main Container

Main container of this chart is a dynamic docker image.

### Configuration

#### Local Configuration

Chart contains:

* 1 x config map containing build/execution files mounted on /app/config
* 1 x environment config map that includes cloud related variables

#### Global Configuration

Chart containers also have access to:

* global-config: Mounted on /app/globalconfig including key-value pairs and extra lines to include in application.properties files
* global-config-env: A config map that can be used to add environment variables for all namespace deployments
* global-secrets: Mounted on /app/globalsecrets including key-secret pairs and extra lines to include in application.properties files
* global-secrets-env: A secret that can be used to add environment variables for all namespace deployments

### Configuration

The following table lists the configurable parameters of the Job chart and their default values.

| Parameter          | Description                                                                                                 | Default                                     |
| ------------------ | ----------------------------------------------------------------------------------------------------------- | ------------------------------------------- |
| `namespace`        | namespace to deploy on                                                                                      | `"task"`                                    |
| `cloud`            | cloud vendor to use for deployment (e.g. gcp, aws)                                                          | `"TBD"`                                     |
| `pyRierinoVersion` | Rierino version for python libraries                                                                        | `"0.1.1"`                                   |
| `poolSelector`     | node pool selector annotation specific to cloud vendor                                                      | `"TBD"`                                     |
| `pool`             | node pool to deploy on                                                                                      | `"admin-node-pool"`                         |
| `image`            | docker image to execute                                                                                     | `"ghcr.io/rierino-open/py-dynamic:dynamic"` |
| `imagePullPolicy`  | policy for pulling container image                                                                          | `"IfNotPresent"`                            |
| `command`          | entrypoint for the container (available on dynamic image, running python with a -s script for dependencies) | `"./command.sh"`                            |
| `pyRepo`           | repository for loading Python module used in args of command.sh                                             | `"rierino-open/py-runner"`                  |
| `pyMainModule`     | main module/command to execute used in args of command.sh                                                   | `"rierino_util.Runner --base64 XXX"`        |
| `memoryRequest`    | memory request for container                                                                                | `"256Mi"`                                   |
| `cpuRequest`       | cpu request for container                                                                                   | `"250m"`                                    |
| `diskRequest`      | ephemeral storage request for container                                                                     | `"0"`                                       |
| `memoryLimit`      | memory limit for container                                                                                  | `"512Mi"`                                   |
| `cpuLimit`         | cpu limit for container                                                                                     | `"500m"`                                    |
| `diskLimit`        | ephemeral storage limit for container                                                                       | `"0"`                                       |
| `deleteAfter`      | delete job after given seconds after its completion                                                         | `"3600"`                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/installation/artifacts/helm-charts/batch-charts/job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
